Bug 1195809 - unavailable dependency com.apple:AppleJavaExtensions
Summary: unavailable dependency com.apple:AppleJavaExtensions
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: findbugs
Version: 21
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Fearn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On: 1230833
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-24 15:51 UTC by gil cattaneo
Modified: 2015-07-03 18:48 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-22 10:33:57 UTC


Attachments (Terms of Use)

Description gil cattaneo 2015-02-24 15:51:57 UTC
Description of problem:
findbugs pom file contains unavailable dependecy com.apple:AppleJavaExtensions

[ERROR] Failed to execute goal on project XXXXXXX: Could not resolve dependencies for project com.google.http-client:google-http-client-findbugs:jar:1.19.0: Cannot access central (http://repo.maven.apache.org/maven2) in offline mode and the artifact com.apple:AppleJavaExtensions:jar:1.4 has not been downloaded from it before. -> [Help 1]

Version-Release number of selected component (if applicable):
All

How reproducible:
Always

Steps to Reproduce:
run a mavenized project which require com.google.code.findbugs:findbugs

Comment 1 Richard Fearn 2015-02-24 16:19:34 UTC
Good catch! This needs to be patched out of findbugs-2.0.3.pom.

F21/F22/rawhide don't seem to be affected (the dependency is no longer in the upstream POM).

Comment 2 gil cattaneo 2015-02-25 15:46:18 UTC
(In reply to Richard Fearn from comment #1)
> Good catch! This needs to be patched out of findbugs-2.0.3.pom.
> 
with macro

%pom_remove_dep com.apple:AppleJavaExtensions findbugs-2.0.3.pom

dont needed other work, just install the pom edited

Comment 3 Richard Fearn 2015-03-06 20:04:39 UTC
(In reply to gil cattaneo from comment #2)
> with macro
> 
> %pom_remove_dep com.apple:AppleJavaExtensions findbugs-2.0.3.pom
> 
> dont needed other work, just install the pom edited

Ah yes, I remember those POM-editing macros now. Thanks!

Comment 4 Fedora Update System 2015-03-06 21:47:51 UTC
findbugs-2.0.3-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/findbugs-2.0.3-5.fc20

Comment 5 Fedora Update System 2015-03-09 08:38:51 UTC
Package findbugs-2.0.3-5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing findbugs-2.0.3-5.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3511/findbugs-2.0.3-5.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-03-17 01:52:54 UTC
findbugs-2.0.3-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 gil cattaneo 2015-06-10 19:38:39 UTC
Seem you have update findbugs to 3.0.1 but still you re-import this problems
arifact not availables in our packages:
org.ow2.asm:asm-debug-all
com.apple:AppleJavaExtensions
can change org.ow2.asm:asm-debug-all with org.ow2.asm:asm-all
in findbugs-3.0.1.pom

This time for do not repeat thi error can use
cp -p %{SOURCE3} findbugs.pom
%pom_remove_dep com.apple:AppleJavaExtensions findbugs.pom
%pom_change_dep org.ow2.asm:asm-debug-all org.ow2.asm:asm-all findbugs.pom


%install
# Install the jars
%mvn_artifact findbugs.pom lib/%{name}.jar
%mvn_file com.google.code.findbugs:findbugs %{name}
%mvn_alias  com.google.code.findbugs:findbugs net.sourceforge.findbugs:findbugs

sed -i 's/3\.0\.0/3\.0\.1/g' %{SOURCE4} %{SOURCE6}

%mvn_artifact %{SOURCE4} lib/annotations.jar
%mvn_file com.google.code.findbugs:annotations %{name}-annotations
%mvn_alias com.google.code.findbugs:annotations net.sourceforge.findbugs:annotations

cp -p lib/%{name}-tools.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-tools.jar

# Install the ant task
%mvn_artifact %{SOURCE6} lib/%{name}-ant.jar
%mvn_file com.google.code.findbugs:findbugs-ant ant/ant-%{name}
%mvn_alias com.google.code.findbugs:findbugs-ant net.sourceforge.findbugs:findbugs-ant
%mvn_package com.google.code.findbugs:findbugs-ant ant

Comment 8 gil cattaneo 2015-06-10 19:45:52 UTC
forgot something:
add BuildRequires: javapackages-local
and reemove all Requires, cause are generated by Java Tools

%install
# Install the jars
%mvn_artifact findbugs.pom lib/%{name}.jar
%mvn_file com.google.code.findbugs:findbugs %{name}
%mvn_alias  com.google.code.findbugs:findbugs net.sourceforge.findbugs:findbugs

sed -i 's/3\.0\.0/3\.0\.1/g' %{SOURCE4} %{SOURCE6}

%mvn_artifact %{SOURCE4} lib/annotations.jar
%mvn_file com.google.code.findbugs:annotations %{name}-annotations
%mvn_alias com.google.code.findbugs:annotations net.sourceforge.findbugs:annotations

cp -p lib/%{name}-tools.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-tools.jar

# Install the ant task
%mvn_artifact %{SOURCE6} lib/%{name}-ant.jar
%mvn_file com.google.code.findbugs:findbugs-ant ant/ant-%{name}
%mvn_alias com.google.code.findbugs:findbugs-ant net.sourceforge.findbugs:findbugs-ant
%mvn_package com.google.code.findbugs:findbugs-ant ant
%mvn_install -J apiJavaDoc

Comment 9 gil cattaneo 2015-06-10 20:04:56 UTC
There is also to upgrade the findbugs-bcel pom file you still install the old ones

old com.google.code.findbugs:bcel:2.0.2
new com.google.code.findbugs:bcel-findbugs:6.0
pom file available @ http://central.maven.org/maven2/com/google/code/findbugs/bcel-findbugs/6.0/bcel-findbugs-6.0.pom

Comment 10 Richard Fearn 2015-06-11 14:04:44 UTC
> Seem you have update findbugs to 3.0.1 but still you re-import this problems
> arifact not availables in our packages:
> org.ow2.asm:asm-debug-all
> com.apple:AppleJavaExtensions
> can change org.ow2.asm:asm-debug-all with org.ow2.asm:asm-all
> in findbugs-3.0.1.pom

Damn, you're right - the AppleJavaExtensions dependency was re-introduced between 3.0.0:

  https://repo1.maven.org/maven2/com/google/code/findbugs/findbugs/3.0.0/findbugs-3.0.0.pom

and 3.0.1:

  https://repo1.maven.org/maven2/com/google/code/findbugs/findbugs/3.0.1/findbugs-3.0.1.pom

Comment 11 Richard Fearn 2015-06-11 14:08:24 UTC
(In reply to gil cattaneo from comment #8)
> forgot something:
> add BuildRequires: javapackages-local
> and reemove all Requires, cause are generated by Java Tools
> 
> %install
> # Install the jars
> %mvn_artifact findbugs.pom lib/%{name}.jar
> %mvn_file com.google.code.findbugs:findbugs %{name}
> %mvn_alias  com.google.code.findbugs:findbugs
> net.sourceforge.findbugs:findbugs
>
> [...]

Could you create a new bug for this?

Thanks!

Comment 12 Richard Fearn 2015-06-11 14:09:12 UTC
(In reply to gil cattaneo from comment #9)
> There is also to upgrade the findbugs-bcel pom file you still install the
> old ones
> 
> old com.google.code.findbugs:bcel:2.0.2
> new com.google.code.findbugs:bcel-findbugs:6.0
> pom file available @
> http://central.maven.org/maven2/com/google/code/findbugs/bcel-findbugs/6.0/
> bcel-findbugs-6.0.pom

Also I think this issue should be a new bug as it affects the findbugs-bcel package, not findbugs. Could you create a new bug for that too?

Comment 13 gil cattaneo 2015-06-11 14:38:46 UTC
(In reply to Richard Fearn from comment #12)
> (In reply to gil cattaneo from comment #9)
> > There is also to upgrade the findbugs-bcel pom file you still install the
> > old ones
> > 
> > old com.google.code.findbugs:bcel:2.0.2
> > new com.google.code.findbugs:bcel-findbugs:6.0
> > pom file available @
> > http://central.maven.org/maven2/com/google/code/findbugs/bcel-findbugs/6.0/
> > bcel-findbugs-6.0.pom
> 
> Also I think this issue should be a new bug as it affects the findbugs-bcel
> package, not findbugs. Could you create a new bug for that too?

if you want i can work on this package now

Comment 14 Richard Fearn 2015-06-11 15:07:04 UTC
(In reply to gil cattaneo from comment #13)
> if you want i can work on this package now

I'd like to understand what's wrong, though.

There seem to be two (sets of) issues here:

1. Problems with the POMs
2. Updating to current Java guidelines (%mvn_artifact, %mvn_file, etc.)

I'd like to keep those two things separate.

What command are you using that results in the "Could not resolve dependencies" errors?

Comment 15 Richard Fearn 2015-06-11 15:27:15 UTC
(In reply to gil cattaneo from comment #7)
> Seem you have update findbugs to 3.0.1 but still you re-import this problems
> arifact not availables in our packages:
> org.ow2.asm:asm-debug-all

That one is available, isn't it?

Comment 16 gil cattaneo 2015-06-11 15:52:24 UTC
(In reply to Richard Fearn from comment #15)
> (In reply to gil cattaneo from comment #7)
> > Seem you have update findbugs to 3.0.1 but still you re-import this problems
> > arifact not availables in our packages:
> > org.ow2.asm:asm-debug-all
> 
> That one is available, isn't it?

yes. sorry

Comment 17 gil cattaneo 2015-06-11 15:56:30 UTC
(In reply to Richard Fearn from comment #14)
> (In reply to gil cattaneo from comment #13)
> > if you want i can work on this package now
> 
> I'd like to understand what's wrong, though.
> 
> There seem to be two (sets of) issues here:
> 
> 1. Problems with the POMs
> 2. Updating to current Java guidelines (%mvn_artifact, %mvn_file, etc.)
> 
> I'd like to keep those two things separate.
they are the same thing ... in my humble opinion
> What command are you using that results in the "Could not resolve
> dependencies" errors?
%mvn_build

Comment 18 Richard Fearn 2015-06-11 17:26:02 UTC
New builds without the AppleJavaExtensions dependency:

F21: http://koji.fedoraproject.org/koji/buildinfo?buildID=645448
F22: http://koji.fedoraproject.org/koji/buildinfo?buildID=645449
rawhide: http://koji.fedoraproject.org/koji/buildinfo?buildID=645450

As I mentioned in bug 1230833 comment 3, I'll look at updating to current guidelines separately.

Thanks for bringing all these issues up - and for providing solutions!

Comment 19 Fedora Update System 2015-06-11 17:35:16 UTC
findbugs-bcel-6.0-0.3.20140707svn1547656.fc21,findbugs-3.0.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/findbugs-bcel-6.0-0.3.20140707svn1547656.fc21,findbugs-3.0.1-2.fc21

Comment 20 Fedora Update System 2015-06-11 17:35:17 UTC
findbugs-bcel-6.0-0.3.20140707svn1547656.fc22,findbugs-3.0.1-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/findbugs-bcel-6.0-0.3.20140707svn1547656.fc22,findbugs-3.0.1-2.fc22

Comment 21 Fedora Update System 2015-06-13 06:34:59 UTC
Package findbugs-bcel-6.0-0.3.20140707svn1547656.fc21, findbugs-3.0.1-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing findbugs-bcel-6.0-0.3.20140707svn1547656.fc21 findbugs-3.0.1-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9845/findbugs-bcel-6.0-0.3.20140707svn1547656.fc21,findbugs-3.0.1-2.fc21
then log in and leave karma (feedback).

Comment 22 Fedora Update System 2015-06-22 10:33:57 UTC
findbugs-bcel-6.0-0.3.20140707svn1547656.fc21, findbugs-3.0.1-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2015-07-03 18:48:13 UTC
findbugs-bcel-6.0-0.3.20140707svn1547656.fc22, findbugs-3.0.1-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.